Jump to content

Le Linux BAR - Discussion de tout et de rien


Recommended Posts

  • Replies 10.4k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Hello,   Oui, c'est tout à fait possible. Il suffit de modifier la liste des dépot, remplacer 19.04 par 20.04 et mettre à jour.   Ça se fait dans le fichier /etc/apt/sources.l

Salut

Je cherche a installer pure-ftpd sous Fedora Core 5, le probleme est que je veux postgres a la place de mysql, mais mysql est proposé a l'installation comme dépendance :( .

Donc vu que c'est pour mon projet de serveur perso, je veux faire quelque chose de serieux :) .

Ma question est donc : y as t'il moyen d'installer pure-ftpd sans installer mysql ?

merci .

a+

Link to post
Share on other sites

Normalement il n'y a que la lib mysql client qui est requise, donc t'es pas obligé d'installer le serveur complet.

Si tu veux vraiment pas de la dépendance sur la lib client mysql, tu peux recompiler le package source avec l'option "--without mysql".

C'est moi qui maintiens pure-ftpd dans Fedora Extras, donc si t'as des questions là-dessus, hésite pas.

Et il ne faut jamais installer de package avec --nodeps. Jamais, sauf dans certains cas extrêmement particuliers.

Link to post
Share on other sites
Normalement il n'y a que la lib mysql client qui est requise, donc t'es pas obligé d'installer le serveur complet.

Si tu veux vraiment pas de la dépendance sur la lib client mysql, tu peux recompiler le package source avec l'option "--without mysql".

C'est moi qui maintiens pure-ftpd dans Fedora Extras, donc si t'as des questions là-dessus, hésite pas.

Et il ne faut jamais installer de package avec --nodeps. Jamais, sauf dans certains cas extrêmement particuliers.

Salut

Merci :)

Je m'en suis aperçu apres que ce n'est pas tous mysql .

Ça me convient comme ça :) .

Je vais garder comme ça et ne pas installer le serveur, juste le client ça ne me gene pas trop :) .

En fait ma réaction viens de mes habitude Debianiste 8) .

Sous debian ça ne se passe pas pareil :byebye:

merci encore

a+

Link to post
Share on other sites

En fait ma réaction viens de mes habitude Debianiste :byebye: .

Sous debian ça ne se passe pas pareil :D

Ah oui, sous Debian ils font très fort : il y a un package pure-ftpd, un package pure-ftpd-mysql, et un package pure-ftpd-postgresql. Alors on pourrait penser que les packages -mysql et -postgresql ajoute le plugin correspondant, sauf que pure-ftp n'est pas construit comme ça, y'a pas de plugin. Donc qu'est-ce qu'ils ont fait chez Debian : ils ont fait 3 packages qui contiennent 3 fois le démon pure-ftpd, et qui ne diffèrent que par l'option --with-mysql et --with-postgresql dans le configure à la construction..... Donc si tu installes les 3 packages, tu te retrouves avec 3 démons, 3 scripts d'init, etc.... Ah oui, il y a aussi pure-ftpd-ldap dans le même genre...

C'est un choix. Et ça m'étonne pas que ce soit le choix de Debian 8)

Bientôt, en exclusivité dans Debian : un package par options dans le ./configure !

Link to post
Share on other sites

Salut

nan je te rassure, chaque paquet est en conflit avec les autres dans les dependances :) .

Apres tout est une affaire de choix :) .

Le mieux c'est de laisser le max de modularité : la solution Fedora comme celle de debian ne sont pas parfaite .

Perso, je prefererais un paquet qui contient toutes les option de compilation, et qui n'installe que ça :).

Bref, les dépendance c'est bien, mais c'est pas bien non plus .

Toussssss sous slackwaaaaaare !!!!!!!!!!!!!!!!!!

a+

Link to post
Share on other sites

nan je te rassure, chaque paquet est en conflit avec les autres dans les dependances :) .

Ah, ok, c'est moins pire que je pensais, mais ça revient un peu au même au final. Si tu veux avoir à la fois MySQL et LDAP, t'es mal barré. On ne peut pas faire un package pour toutes les combinaisons (et avec pure-ftpd il y en a plein)

Apres tout est une affaire de choix :) .

Le mieux c'est de laisser le max de modularité : la solution Fedora comme celle de debian ne sont pas parfaite .

Tout à fait, c'est une question de choix. Debian choisit de laisser le maximum de souplesse, au point que ça en devient inutilement complexe et tarabiscoté. Fedora choisit un compromis entre simplicité et souplesse.

Comme d'hab, quoi 8)

Perso, je prefererais un paquet qui contient toutes les option de compilation, et qui n'installe que ça :).

Bref, les dépendance c'est bien, mais c'est pas bien non plus .

Si tu as compilé le support mysql, le binaire est linké avec libmysqlclient.so.X, donc tu l'installes obligatoirement (sinon ça segfaulte). Les dépendances dans les packages reflètent une réalité du développement, et pas qu'en C/C++ : ton appli en python peut dépendre d'un module python, etc...

Toussssss sous slackwaaaaaare !!!!!!!!!!!!!!!!!!

En fait, pure-ftpd a été pensé pour des systèmes type FreeBSD (ou évidemment Gentoo) pour lesquels tu choisis les options à la compilation et tu compile toi-même.

Link to post
Share on other sites
J'allais le dire pour ce genre de soft, l'idéal est la gentoo et ses USE flags ou une FreeBSD (ou encore mieux une LSF :smack: )

Salut

Enfin ,en meme temps je me vois mal avoir a gerer un Bsd ou une gentoo sur mon P500 :byebye:

Je sais qu'il a pas mal de ram, mais bon, on va arreter là .

Deja je lui fait subir mon delir de Raid 5 software avec 3 hdd de 4 go .

Je vais pas le traumatiser plus :transpi: .

Sinon Fedora ça tourne bien :) .

Ça me suffit :sm:

a+

Link to post
Share on other sites

à première vue ca a été tout réécrit avec qt.... mais j'ai pas l'intention de vérifier.

J'ai toujours pas compris l'utilité de ce genre de post à part perdre sont temps à retrouver sa maison dans une bouilli de pixels...

si encore les cartes étaient utilisable dans flightgear (un gros mappage sauvage avec toutes les cotes en 3D...), ca pourrait etre sympa :transpi:

Link to post
Share on other sites

http://www.pcinpact.com/actu/news/29400-Go...me-sur-Linu.htm

Contrairement à Picasa qui utilise la libwine pour être porté sur GNU/Linux ( mais qui reste un très bon portage et surtout surprenant ), GoogleEarth utilise ici la librairie QT afin d'assurer une version native (L'installeur est en GTK).

Pas très cohérent tout ça :transpi:

Bon de toute façon l'IHM n'est pas jolie, que ce soit sous windows ou sous Linux...

Linux : http://www.pcinpact.com/images/bd/news/29697.jpg

Windows : http://www.pcinpact.com/images/bd/news/29699.gif

Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...